RK-J - Bug #1818

Few pre tags has unnecessary space at the top.
10/28/2021 12:02 PM - Ayush Khandelwal

Status: Closed Start date: 10/28/2021
Priority: High Due date: 10/29/2021
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 2.50 hours
Target version: 1-RK-J-1 Spent time: 3.00 hours
Description

Documents with the problem found:

1.In

https://edutestdev-240612.appspot.com/document/python-3-language-reference-pl-2021-10-08-170000.99999-spl/assignment%

20expression?documentURL=10004%2Fprd%2F3%2Freference%2Fexpressions--Assignment-expressions-133.html, the first

pre tag has a big space at the top.

2. https://edutestdev-240612.appspot.com/document/python-3-language-reference-pl-2021-10-08-170000.99999-spl/simple%20st

atement?documentURL=10004%2Fprd%2F3%2Freference%2F simple_stmts.html
3. In this page

https://edutestdev-240612.appspot.com/document/python-3-language-reference-pl-2021-10-08-170000.99999-spl/compound%

20statement?documentURL=10004%2Fprd%2F3%2Freference%2Fcompound_stmts.html, the last one has the issue

It seems like that the ones that don't have a issue has a div tag with class=hiighlight just above the pre tag

History

#1 - 10/28/2021 02:19 PM - Ayush Khandelwal
- Assignee changed from Ayush Khandelwal to Rishabh Sharma

#2 - 11/01/2021 05:14 AM - Rishabh Sharma

- Status changed from New to In Progress

#3 - 11/02/2021 12:00 PM - Rishabh Sharma
- Status changed from In Progress to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

In all the three links, there is a space (or space + nextLine) after the opening

tag.

so, it is like <pre> somecontentHere</pre>

making it like <pre>somecontentHere</pre> , solves the issue.

steps to check in chrome,

1. Click on the problematic pre tag after opening chrome inspect element tools,

2. Use Edit as HTML.
3. Remove the space after the opening of <pre> tag, this will remove top space.

#4 - 11/02/2021 12:03 PM - Rishabh Sharma

In all the three links, there is a space (or space + nextLine) after the opening of pre tag.
so, it is like

somecontentHere
making it like
somecontentHere
, solves the issue.
steps to check in chrome,

1. Click on the problematic pre tag after opening chrome inspect element tools,
2. Use Edit as HTML.
3. Remove the space after the opening of

tag, this will remove top space.

#5 - 03/10/2022 12:01 PM - Ayush Khandelwal

Updated the urls:
1.
https://edutestqa.appspot.com/document/python-3-doc-language-reference ?documentURL=10004%2F prd%2F3%2Freference%2Fexpressions--Assi

gnment-expressions-133.html

2.

https://edutestqa.appspot.com/document/python-3-doc-language-reference ?documentURL=10004%2Fprd%2F3%2Freference%2Fsimple_stmts.html
3.

https://edutestqa.appspot.com/document/python-3-doc-language-reference ?documentURL=10004%2Fprd%2F3%2Freference%2Fcompound_stmts.
html

#6 - 03/10/2022 02:18 PM - Ayush Khandelwal
- % Done changed from 0 to 100

Latest Dev URLs:

2F3%2Freference%2Fcomoound stmts html

#7 - 03/10/2022 02:20 PM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected with the latest dev urls.

#8 - 03/29/2023 09:21 AM - Ram Kordale
- Status changed from Feedback to Closed
